php-resource




Archiv verlassen und diese Seite im Standarddesign anzeigen :
new msqli(...) läuft nicht auf mysql 5.6


 
sanktusm
29-10-2018, 10:58 
 
Hallo,
ich bekomme folgende Warnung:
Warning: mysqli::__construct(): Connecting to 3.22, 3.23 & 4.0 is not supported. Server is 3.23.58-log in

für folgendes Script:



public function __construct() {

$mysqli = new mysqli(config::DB_HOST, config::DB_USER, config::DB_PASSWORD, config::DB_NAME);

$mysqli->set_charset("utf8");

$this->db = $mysqli;

if(!isset($_SESSION['main_id']))
$this -> main_id = $this -> getDefaultId();
else
$this -> main_id = $_SESSION['main_id'];

$this -> language_id = $_SESSION['language_id'];

$this -> loadTemplateConfig();

parent::__construct();

if(!isset($_SESSION['forms_token'], $_GET['forms_token']) AND !isset($_REQUEST['n'])) {


$random = $this->randomString();

//Build the token

$token = $_SERVER['REMOTE_ADDR'] . $random;

$_SESSION['forms_token'] = $this->hashData($token);

self::$token_for_forms = "&forms_token=".$_SESSION['forms_token'];

}

return true;
}




meine mysql Version ist MySQL 5.6 und php 7.2

Wie kann ich eine Verbindung unter mysql 5.6 realisieren?

 
h3ll
29-10-2018, 11:08 
 
Die Fehlermeldung sagt doch alles: Server is 3.23.58-log

 
sanktusm
29-10-2018, 11:22 
 
ich kann damit leider nichts anfangen

 
h3ll
29-10-2018, 11:22 
 
ich kann damit leider nichts anfangen

Du versuchst zu einem MySQL Server mit der Version 3.23 zu verbinden und das wird nicht unterstützt.

 
sanktusm
29-10-2018, 11:28 
 
ich habe keinen blassen schimmer, wo das liegt und wo ich das verlasst haben soll

 
h3ll
29-10-2018, 11:37 
 
ich habe keinen blassen schimmer, wo das liegt und wo ich das verlasst haben soll

Dann sags dem Server-Admin.

 
sanktusm
06-11-2018, 13:59 
 
ich musste die Lokale ip angeben statt localhost


Alle Zeitangaben in WEZ +2. Es ist jetzt 10:23 Uhr.